# Count

Handles all Count Transfer Restriction related functionality

## Hierarchy

↳ [TransferRestrictionBase](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md)‹[Count](/polymesh-sdk-api-reference/docs-v7/enums/transferrestrictiontype.md#count)›

↳ **Count**

## Index

### Properties

* [context](/polymesh-sdk-api-reference/docs-v7/classes/count.md#protected-context)
* [get](/polymesh-sdk-api-reference/docs-v7/classes/count.md#get)
* [parent](/polymesh-sdk-api-reference/docs-v7/classes/count.md#protected-parent)
* [type](/polymesh-sdk-api-reference/docs-v7/classes/count.md#protected-type)

### Methods

* [addRestriction](/polymesh-sdk-api-reference/docs-v7/classes/count.md#addrestriction)
* [removeRestrictions](/polymesh-sdk-api-reference/docs-v7/classes/count.md#removerestrictions)
* [setRestrictions](/polymesh-sdk-api-reference/docs-v7/classes/count.md#setrestrictions)

## Properties

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v7/classes/context.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Namespace.ts#L11)

### get

• **get**: *function*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md)*.*[*get*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md#get)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:67*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L67)

Retrieve all active Count Transfer Restrictions

**`note`** there is a maximum number of restrictions allowed accross all types. The `availableSlots` property of the result represents how many more restrictions can be added before reaching that limit

#### Type declaration:

▸ (): *Promise‹*[*ActiveTransferRestrictions*](/polymesh-sdk-api-reference/docs-v7/interfaces/activetransferrestrictions.md)*‹*[*CountTransferRestriction*](/polymesh-sdk-api-reference/docs-v7/interfaces/counttransferrestriction.md)*››*

### `Protected` parent

• **parent**: [*SecurityToken*](/polymesh-sdk-api-reference/docs-v7/classes/securitytoken.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Namespace.ts#L9)

### `Protected` type

• **type**: [*Count*](/polymesh-sdk-api-reference/docs-v7/enums/transferrestrictiontype.md#count) = TransferRestrictionType.Count as const

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md)*.*[*type*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md#protected-abstract-type)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:16*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L16)

## Methods

### addRestriction

▸ **addRestriction**(`args`: Omit‹[AddCountTransferRestrictionParams](/polymesh-sdk-api-reference/docs-v7/globals.md#addcounttransferrestrictionparams), "type"›, `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v7/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v7/classes/transactionqueue.md)*‹number››*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md)*.*[*addRestriction*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md#addrestriction)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:29*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L29)

Add a Count Transfer Restriction to this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v7/interfaces/proceduremethod.md), which means you can call `addRestriction.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                                |
| ------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| `args`  | Omit‹[AddCountTransferRestrictionParams](/polymesh-sdk-api-reference/docs-v7/globals.md#addcounttransferrestrictionparams), "type"› |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v7/interfaces/procedureopts.md)                                                    |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v7/classes/transactionqueue.md)*‹number››*

### removeRestrictions

▸ **removeRestrictions**(`args`: void, `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v7/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v7/classes/transactionqueue.md)*‹number››*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md)*.*[*removeRestrictions*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md#removerestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:56*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L56)

Removes all Count Transfer Restrictions from this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v7/interfaces/proceduremethod.md), which means you can call `removeRestrictions.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                             |
| ------- | -------------------------------------------------------------------------------- |
| `args`  | void                                                                             |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v7/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v7/classes/transactionqueue.md)*‹number››*

### setRestrictions

▸ **setRestrictions**(`args`: Omit‹[SetCountTransferRestrictionsParams](/polymesh-sdk-api-reference/docs-v7/interfaces/setcounttransferrestrictionsparams.md), "type"›, `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v7/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v7/classes/transactionqueue.md)*‹number››*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md)*.*[*setRestrictions*](/polymesh-sdk-api-reference/docs-v7/classes/transferrestrictionbase.md#setrestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:44*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L44)

Sets all Count Transfer Restrictions on this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v7/interfaces/proceduremethod.md), which means you can call `setRestrictions.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                                     |
| ------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| `args`  | Omit‹[SetCountTransferRestrictionsParams](/polymesh-sdk-api-reference/docs-v7/interfaces/setcounttransferrestrictionsparams.md), "type"› |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v7/interfaces/procedureopts.md)                                                         |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v7/classes/transactionqueue.md)*‹number››*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v7/classes/count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
